[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/cobbler/FC-6 .cvsignore, 1.16, 1.17 cobbler.spec, 1.16, 1.17 sources, 1.17, 1.18



Michael DeHaan wrote:
> Updating to 0.3.7
[...]
> +%post
> +chkconfig --add cobblersyslogd
> +
> +%preun
> +chkconfig --del cobblersyslogd
> +

Your %preun script is wrong (the 'chkconfig --del' call should be done
conditionally). Also, don't forget to add /sbin/chkconfig to the
Requires(preun) and Requires(post) dependencies. See the
Packaging/ScriptletSnippets#services page on the wiki for more information.

Thanks.
-- 
Peter Gordon (codergeek42)
This message was sent through a webmail
    interface, and thus not signed.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]